List languages
GET
{{server}}/api/v1/counter/languagesThis endpoint returns the list of active languages which are assigned to the branch of counter.
Request
Authorization
| Header | Value |
|---|---|
Authorization | Bearer {{counterToken}} |
Headers
| Key | Value |
|---|---|
Accept | application/json |
X-WSID | {{counterWsID}} |
Code snippets
- cURL
- JavaScript
- Python
curl -X GET '{{server}}/api/v1/counter/languages' \
-H 'Accept: application/json' \
-H 'X-WSID: {{counterWsID}}' \
-H 'Authorization: Bearer {{counterToken}}'
const response = await fetch("{{server}}/api/v1/counter/languages", {
method: "GET",
headers: {
"Accept": "application/json",
"X-WSID": "{{counterWsID}}",
"Authorization": "Bearer {{counterToken}}"
},
});
const data = await response.json();
console.log(data);
import requests
url = "{{server}}/api/v1/counter/languages"
headers = {
"Accept": "application/json",
"X-WSID": "{{counterWsID}}",
"Authorization": "Bearer {{counterToken}}"
}
response = requests.get(url, headers=headers)
print(response.status_code)
print(response.json())
Example
Example request
GET
{{server}}/api/v1/counter/languagesHeaders (2)
| Key | Value |
|---|---|
Accept | application/json |
X-WSID | {{counterWsID}} |
Example response 200 Ok
Response headers (9)
| Key | Value |
|---|---|
Access-Control-Expose-Headers | * |
Cache-Control | no-store, no-cache, must-revalidate |
Access-Control-Allow-Origin | * |
Access-Control-Allow-Methods | POST, PUT, GET, OPTIONS, DELETE |
Access-Control-Allow-Credentials | true |
Content-Length | 2329 |
Access-Control-Max-Age | 86400 |
Access-Control-Allow-Headers | Content-Type, Authorization, X-Requested-With |
Content-Type | application/json;charset=utf-8 |
Body
[
{
"default": false,
"formats": {
"date": "LLL",
"number": "international"
},
"texts": {
"ticket": {},
"dispenser": {},
"feedback": {},
"smart": {},
"client": {}
},
"customerName": {
"min": 26,
"max": 20,
"bannedWords": []
},
"keyboardLayouts": {
"customerName": [
" 1 2 3 4 5 6 7 8 9 0 {backspace}",
"Q W E R T Y U I O P",
" A S D F G H J K L ",
" Z X C V B N M ",
" {space} {accept}"
]
},
"status": 1,
"code": "xx-yy",
"name": "XY",
"key": "18bd2786-8a51-4672-f0fe-3c09598e6d1d",
"type": 4,
"aspect": null,
"time": 1700043992562
},
{
"type": 4,
"key": "00000000-0000-4000-0004-000000000017",
"code": "hu",
"name": "Magyar",
"default": true,
"formats": {
"date": "LL",
"number": "international"
},
"texts": {
"ticket": {},
"dispenser": {},
"feedback": {},
"smart": {},
"client": {},
"player": {}
},
"status": 1,
"aspect": null,
"customerName": {
"min": 2,
"max": 20,
"bannedWords": []
},
"keyboardLayouts": {
"customerName": [
" 0 1 2 3 4 5 6 7 8 9 Ö Ü Ó {backspace}",
"Q W E R T Z U I O P Ő Ú ",
" A S D F G H J K L É Á Ű",
" Í Y X C V B N M ",
" {space} {accept}"
]
},
"time": 1708347192354
},
{
"type": 4,
"key": "00000000-0000-4000-0004-000000000001",
"code": "en-gb",
"name": "English",
"default": false,
"formats": {
"date": "LL",
"number": "international"
},
"texts": {
"ticket": {},
"dispenser": {
"minutes": ""
},
"feedback": {},
"smart": {},
"client": {}
},
"status": 1,
"aspect": null,
"customerName": {
"min": 2,
"max": 8,
"bannedWords": [
"fuck"
]
},
"time": 1708347192269
},
{
"type": 4,
"key": "00000000-0000-4000-0004-000000000009",
"code": "de",
"name": "Deutsche",
"default": false,
"formats": {
"date": "LL",
"number": "international"
},
"texts": {
"ticket": {},
"dispenser": {},
"feedback": {},
"smart": {},
"client": {},
"player": {}
},
"status": 1,
"aspect": null,
"customerName": {
"min": 2,
"max": 20,
"bannedWords": []
},
"keyboardLayouts": {
"customerName": [
" 1 2 3 4 5 6 7 8 9 0 {backspace}",
"Q W E R T Y U I O P",
" A S D F G H J K L ",
" Z X C V B N M ",
" {space} {accept}"
]
},
"time": 1718027671483
},
{
"type": 4,
"key": "00000000-0000-4000-0004-000000000002",
"code": "ar-sa",
"name": "عربى",
"default": false,
"formats": {
"date": "LL",
"number": "arabic"
},
"texts": {
"ticket": {},
"dispenser": {},
"feedback": {},
"smart": {},
"client": {},
"player": {}
},
"status": 1,
"aspect": null,
"customerName": {
"min": 2,
"max": 20,
"bannedWords": []
},
"keyboardLayouts": {
"customerName": [
" 1 2 3 4 5 6 7 8 9 0 {backspace}",
"Q W E R T Y U I O P",
" A S D F G H J K L ",
" Z X C V B N M ",
" {space} {accept}"
]
},
"time": 1718089785543
}
]